summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJouke Witteveen <j.witteveen@gmail.com>2012-04-13 12:00:50 +0200
committerJouke Witteveen <j.witteveen@gmail.com>2012-04-13 12:00:50 +0200
commitc96f443ea84f8041c4b1bdea56f36d9a0d827cf6 (patch)
treeaab11812f1ee3c59ba93d93ec3a7d8cbdcb10a7b /scripts
parentd20dd39fa08da3ef262c95ece5548c952c257bf7 (diff)
downloadnetctl-c96f443ea84f8041c4b1bdea56f36d9a0d827cf6.tar.gz
netctl-c96f443ea84f8041c4b1bdea56f36d9a0d827cf6.tar.xz
2.8.0 release updates
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/netcfg-daemon5
1 files changed, 2 insertions, 3 deletions
diff --git a/scripts/netcfg-daemon b/scripts/netcfg-daemon
index 7a662f6..27bdc18 100755
--- a/scripts/netcfg-daemon
+++ b/scripts/netcfg-daemon
@@ -12,10 +12,9 @@ case "$1" in
. /etc/conf.d/netcfg
[[ ${NETWORKS+x} != x ]] && exit_err "NETWORKS is not set in /etc/conf.d/netcfg"
if [[ ${#NETWORKS[@]} -eq 1 && $NETWORKS = menu ]]; then
- if /usr/bin/netcfg-menu ${NETWORKS_MENU_TIMEOUT-5}; then
+ /usr/bin/netcfg-menu ${NETWORKS_MENU_TIMEOUT-5} && \
mv "$STATE_DIR/menu" "$STATE_FILE"
- fi
- exit 0
+ exit $?
fi
for profile in "${NETWORKS[@]}"; do
if [[ "$profile" = "${profile#@}" ]]; then